1. INTRODUCCIÃN

Wine es un programa que permite la ejecuciÃ³n de programas de Microsoft Windows
(incluyendo ejecutables de DOS, Windows 3.x y Win32) sobre Unix. Consiste en un
programa cargador que carga y ejecuta un binario de Microsoft Windows, y una
librerÃ­a (llamada Winelib) que implementa las llamadas a la API de Windows
usando sus equivalentes Unix o X11. La librerÃ­a puede tambiÃ©n utilizarse para
portar cÃ³digo Win32 a ejecutables Unix nativos.

Wine es software libre, publicado bajo la licencia GNU LGPL; vea el fichero
LICENSE para los detalles.


2. INICIO RÃPIDO

Cuando compile desde el cÃ³digo fuente, se recomienda utilizar el Instalador de
Wine para compilar e instalar Wine. Desde el directorio base del cÃ³digo de Wine
(el cual contiene este fichero), ejecute:

./tools/wineinstall

Ejecute aplicaciones con "wine programa". Para mÃ¡s informaciÃ³n y resoluciÃ³n de
problemas, continÃºe leyendo este archivo, la pÃ¡gina man de Wine, o mÃ¡s
especÃ­ficamente, la numerosa informaciÃ³n que puede encontrar en
http://www.winehq.org.


3. REQUISITOS

Para compilar y ejecutar Wine, deberÃ¡ tener uno de los siguientes:

  Linux versiÃ³n 2.0.36 o superior
  FreeBSD 8.0 o superior
  Solaris x86 9 o superior
  NetBSD-current
  Mac OS X 10.5 o superior

Ya que Wine requiere soporte de hilos de ejecuciÃ³n a nivel de nÃºcleo para
ejecutarse, sÃ³lo se soportan los sistemas operativos ya mencionados.
Otros sistemas operativos que soporten hilos de ejecuciÃ³n a nivel de nÃºcleo
podrÃ­an obtener soporte en el futuro.

InformaciÃ³n sobre FreeBSD:
  Por lo general Wine no funcionarÃ¡ correctamente en versiones anteriores a
  FreeBSD 8.0. Visite http://wiki.freebsd.org/Wine para mÃ¡s informaciÃ³n.

InformaciÃ³n sobre Solaris:
  Lo mÃ¡s probable es que necesite compilar con el conjunto de herramientas GNU
  (gcc, gas, etc.). Advertencia: instalar gas *no* asegura que sea utilizado
  por gcc. Un comentario ampliamente extendido es que es necesario recompilar
  gcc tras la instalaciÃ³n de gas o enlazar simbÃ³licamente cc, as y ld a las
  herramientas gnu.

InformaciÃ³n de NetBSD:
  AsegÃºrese de que tiene las opciones USER_LDT, SYSVSHM, SYSVSEM, y SYSVMSG
  activadas en el nÃºcleo.

InformaciÃ³n de Mac OS X:
  NecesitarÃ¡ Xcode 2.4 o posterior para compilar correctamente en x86.


Sistemas de ficheros soportados:
  Wine puede ejecutarse en la mayorÃ­a de los sistemas de ficheros. Sin embargo,
  se han reportado unos cuantos problemas de compatibilidad usando archivos
  accedidos a travÃ©s de Samba. AdemÃ¡s, NTFS no proporciona todas las
  funcionalidades necesitadas por algunas aplicaciones. Se recomienda el uso de
  un sistema de ficheros Unix.

Requisitos bÃ¡sicos:
  NecesitarÃ¡ tener instalados los archivos include X11 para desarrollo
  (llamados xlib6g-dev en Debian y XFree86-devel en RedHat).

  AdemÃ¡s necesitarÃ¡ "make" (preferiblemente GNU make).

  TambiÃ©n necesitarÃ¡ flex versiÃ³n 2.5.33 o posterior y bison.

LibrerÃ­as de soporte adicionales:
  Configure mostrarÃ¡ advertencias cuando las librerÃ­as opcionales no se
  encuentren disponibles en su sistema.
  Visite http://wiki.winehq.org/Recommended_Packages para recomendaciones
  acerca de que paquetes debe instalar.

  En plataformas de 64-bit, si se estÃ¡ compilando Wine 32-bits (es la
  compilaciÃ³n por defecto), debe estar seguro de tener instaladas las librerÃ­as
  de desarrollo de 32-bits; visite http://wiki.winehq.org/WineOn64bit para mÃ¡s
  detalles. Si usted desea un entorno Wine 64-bits puro (o una mezcla de 32-bits
  y 64-bits), vaya a http://wiki.winehq.org/Wine64 para mÃ¡s detalles.


4. COMPILACIÃN

En el caso de que elija no utilizar wineinstall, ejecute los siguientes
comandos para construir Wine:

./configure
make

Esto construirÃ¡ el programa "wine" y numerosas librerÃ­as/binarios de soporte.
El programa "wine" cargarÃ¡ y ejecutarÃ¡ ejecutables de Windows.
La librerÃ­a "libwine" ("Winelib") puede utilizarse para compilar y enlazar
cÃ³digo fuente de Windows bajo Unix.

Para ver las opciones de compilaciÃ³n, haga: ./configure --help.


5. CONFIGURACIÃN

Una vez que Wine se ha compilado correctamente, puede hacer "make install";
esto instalarÃ¡ el ejecutable y librerÃ­as de wine, el manual de Wine, y el
resto de ficheros necesarios.

Recuerde desinstalar antes cualquier instalaciÃ³n anterior de Wine que pueda
crear conflictos. Realice un "dpkg -r wine" o "rpm -e wine" o "make uninstall"
antes de instalar.

Una vez instalado, puede ejecutar la herramienta de configuraciÃ³n "winecfg".
Visite la zona de Soporte en http://www.winehq.org/ para consejos sobre la
configuraciÃ³n.


6. EJECUTANDO PROGRAMAS

Cuando invoque Wine, puede especificar la ruta completa al ejecutable, o sÃ³lo
el nombre del fichero.

Por ejemplo: para ejecutar el Solitario:

  wine sol                   (usando la ruta de bÃºsqueda indicada en el
  wine sol.exe                el registro para encontrar el archivo)

  wine c:\\windows\\sol.exe  (usando la sintaxis de DOS)

  wine /usr/windows/sol.exe  (usando la sintaxis de Unix)

  wine notepad.exe readme.txt (ejecutando el programa con parÃ¡metros)

Nota: la ruta del fichero tambiÃ©n se aÃ±adirÃ¡ a la ruta cuando se proporcione un
      nombre completo en la lÃ­nea de comandos.

Wine no es perfecto, algunos programas pueden fallar. Si esto le ocurre usted
recibirÃ¡ un log de error que debe adjuntar en caso de reportar un fallo.


7. OBTENIENDO MÃS INFORMACIÃN

WWW:    Una gran cantidad de informaciÃ³n sobre Wine estÃ¡ disponible en WineHQ
        en http://www.winehq.org/ : varias guÃ­as de Wine, base de datos de
        aplicaciones, registro de bugs. Este es probablemente el mejor punto de
        partida.

FAQ:    Las preguntas frecuentes de Wine se encuentran en
        http://www.winehq.org/FAQ

Listas de correo:
        Hay varias listas de correo, tanto para usuarios como desarrolladores;
        Vaya a http://www.winehq.org/forums para mÃ¡s informaciÃ³n.

Bugs:   Reporte fallos en el Bugzilla de Wine, http://bugs.winehq.org
        Por favor, antes de enviar un informe de fallo busque en la base de
        datos de bugzilla para comprobar si su problema es un fallo conocido
        o existe una soluciÃ³n.

IRC:    Se puede obtener ayuda online en el canal #WineHQ de irc.freenode.net.

Git:    El Ã¡rbol actual de desarrollo de Wine estÃ¡ disponible a travÃ©s de Git.
        Vaya a http://www.winehq.org/git para mÃ¡s informaciÃ³n.

Si aÃ±ade algo, o corrige algÃºn bug, por favor envÃ­e un parche (en formato
git-format-patch) a la lista wine-patches@winehq.org para su inclusiÃ³n
en la siguiente versiÃ³n.

--
Alexandre Julliard
julliard@winehq.org
